Index: NEMO/branches/2020/dev_r12527_Gurvan_ShallowWater/src/SWE/dynldf_lap_blp.F90
===================================================================
--- NEMO/branches/2020/dev_r12527_Gurvan_ShallowWater/src/SWE/dynldf_lap_blp.F90	(revision 13059)
+++ NEMO/branches/2020/dev_r12527_Gurvan_ShallowWater/src/SWE/dynldf_lap_blp.F90	(revision 13151)
@@ -20,8 +20,5 @@
    USE in_out_manager ! I/O manager
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE lib_mpp        ! MPP library
-   !
-   USE usrdef_nam , ONLY : nn_dynldf_lap_typ    ! use laplacian parameter
-   !
+
    IMPLICIT NONE
    PRIVATE
@@ -34,8 +31,10 @@
    INTEGER, PUBLIC, PARAMETER ::   np_dynldf_lap_symN = 3         ! symmetric laplacian (cartesian)
    
-   !INTEGER, PUBLIC, PARAMETER ::   nn_dynldf_lap_typ = 1         ! choose type of laplacian (ideally from namelist)
+   INTEGER, PUBLIC, PARAMETER ::   ln_dynldf_lap_typ = 1         ! choose type of laplacian (ideally from namelist)
 !!anSYM
    !! * Substitutions
 #  include "do_loop_substitute.h90"
+!!st21
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
@@ -80,9 +79,9 @@
          WRITE(numout,*) 'dyn_ldf : iso-level harmonic (laplacian) operator, pass=', kpass
          WRITE(numout,*) '~~~~~~~ '
-         WRITE(numout,*) '                  nn_dynldf_lap_typ = ', nn_dynldf_lap_typ
-         SELECT CASE( nn_dynldf_lap_typ )             ! print the choice of operator
+         WRITE(numout,*) '                  ln_dynldf_lap_typ = ', ln_dynldf_lap_typ
+         SELECT CASE( ln_dynldf_lap_typ )             ! print the choice of operator
          CASE( np_dynldf_lap_rot )   ;   WRITE(numout,*) '   ==>>>   div-rot   laplacian'
          CASE( np_dynldf_lap_sym )   ;   WRITE(numout,*) '   ==>>>   symmetric laplacian (covariant form)'
-         CASE( np_dynldf_lap_symN)   ;   WRITE(numout,*) '   ==>>>   symmetric laplacian (cartesian form)'
+         CASE( np_dynldf_lap_symN)   ;   WRITE(numout,*) '   ==>>>   symmetric laplacian (simple form)'
          END SELECT
       ENDIF
@@ -92,5 +91,5 @@
       ENDIF
       !
-      SELECT CASE( nn_dynldf_lap_typ )  
+      SELECT CASE( ln_dynldf_lap_typ )  
          !              
          CASE ( np_dynldf_lap_rot )       !==  Vorticity-Divergence form  ==!
@@ -102,8 +101,9 @@
 !!gm open question here : e3f  at before or now ?    probably now... 
 !!gm note that ahmf has already been multiplied by fmask
-                  zcur(ji-1,jj-1) = ahmf(ji-1,jj-1,jk) * e3f(ji-1,jj-1,jk) * r1_e1e2f(ji-1,jj-1)       &
-                     &     * (  e2v(ji  ,jj-1) * pv(ji  ,jj-1,jk) - e2v(ji-1,jj-1) * pv(ji-1,jj-1,jk)  &
-                     &        - e1u(ji-1,jj  ) * pu(ji-1,jj  ,jk) + e1u(ji-1,jj-1) * pu(ji-1,jj-1,jk)  )
-                  !                                      ! ahm * div        (computed from 2 to jpi/jpj)
+            zcur(ji-1,jj-1) =  &
+               &      ahmf(ji-1,jj-1,jk) * e3f(ji-1,jj-1,jk) * r1_e1e2f(ji-1,jj-1)      &
+               &  * (  e2v(ji  ,jj-1) * pv(ji  ,jj-1,jk) - e2v(ji-1,jj-1) * pv(ji-1,jj-1,jk)  &
+               &     - e1u(ji-1,jj  ) * pu(ji-1,jj  ,jk) + e1u(ji-1,jj-1) * pu(ji-1,jj-1,jk)  )
+            !                                      ! ahm * div        (computed from 2 to jpi/jpj)
 !!gm note that ahmt has already been multiplied by tmask
                   zdiv(ji,jj)     = ahmt(ji,jj,jk) * r1_e1e2t(ji,jj) / e3t(ji,jj,jk,Kbb)                                         &
@@ -160,5 +160,5 @@
             END DO                                           !   End of slab
             !
-         CASE ( np_dynldf_lap_symN )       !==  Symmetric form  ==!   (cartesian way)
+         CASE ( np_dynldf_lap_symN )       !==  Symmetric form  ==!   (naive way)
             !
             DO jk = 1, jpkm1                                 ! Horizontal slab
@@ -193,5 +193,5 @@
             !  
          CASE DEFAULT                                     ! error
-            CALL ctl_stop('STOP','dyn_ldf_lap: wrong value for nn_dynldf_lap_typ'  )
+            CALL ctl_stop('STOP','dyn_ldf_lap: wrong value for ln_dynldf_lap_typ'  )
          END SELECT
          !
